:root{
    --bg-body: #FFFFFF;
    --bg-footer: #112B4E;
    --shadow:0 10px 30px rgba(138, 133, 133, 0.15);
    --font-h1: "Montserrat", san serif;
    --font-h2: "Helvetica Neue", san serif;
    --font-h3: "Montserrat", san serif;
    --font-p: "Open Sans", san serif;
    --font-color: black;
    --bg-card-hover: #ffed9c;
    --text-cards: #F7FAFC;
}

html,
body{
    overflow-x:hidden;
    width:100%;
}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{
    background:var(--bg-body);
    line-height:1.6;
    font-family:Arial, Helvetica, sans-serif;
    color:#333;
}

main{
    margin: 0;
}

.container{
    width:min(1700px,100%);
    margin:auto;
}

section{
    padding:0;
}

/* ===========================
   HERO
=========================== */

.hero{
    width:100%;
    overflow:hidden;
}

.hero img{
    display:block;
    width:100%;
    height:auto;
}

/* ===========================
   EMPRESA
=========================== */

.empresa{
    width: min(1700px, 99%);
    margin: 7px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2px;
}

.card{
    position:relative;
    height:420px;
    overflow:hidden;
    background-color:var(--bg-body);
    background-size:cover;
    background-position:center;
    box-shadow:var(--shadow);
}

.card::before{
    content:"";
    position:absolute;
    inset:0;
    background:linear-gradient(
        to top,
        rgba(0,0,0,.80),
        rgba(0,0,0,.20)
    );
}

.overlay{
    position:absolute;
    inset:0;
    display:flex;
    flex-direction:column;
    justify-content:flex-end;
    padding:35px;
    color: var(--bg-body);
    z-index:2;
}

.overlay h2{
    font-size:2rem;
    font-family: var(--font-h2);
    margin-bottom:15px;
}

.overlay p{
    font-family: var(--font-p);
    font-size:.95rem;
}

.overlay ul{
    font-family: var(--font-p);
    margin-left:20px;
}

.overlay li{
    font-family: var(--font-p);
    margin-bottom:8px;
}

/* Cambiar por tus imágenes */

.mision{
    background-image:url("../images/mision.png");
}

.vision{
    background-image:url("../images/vision.png");
}

.valores{
    background-image:url("../images/valores.png");
}

/* ===========================
   INFORMACION
=========================== */
.informacion{
    width:min(1700px,95%);
    margin:15px;
    display:grid;
    grid-template-columns:30% 70%;
    gap:40px;
    align-items:stretch;
    background-color: var(--bg-body);
}

/* Columna izquierda */

.panel-info{
    display:flex;
    flex-direction:column;
    gap:20px;
}

/* Tarjetas */
.card-info{
    background:var(--bg-body);
    border-radius:var(--radius);
    padding:25px;
    box-shadow:var(--shadow);
    transition:.3s;
}

.card-info:hover{
    transform:translateY(-5px);
    box-shadow:0 15px 35px rgba(0,0,0,.12);
}

/* Estadística */
.estadistica{
    background:linear-gradient(135deg,var(--primary),#46b96f);
    color:var(--bg-body);
    border-radius: 10px;
}

.estadistica h2{
    font-size:2.8rem;
    margin-bottom:10px;
    text-align: center;
    color:var(--font-color);
}

.estadistica p{
    color:var(--font-color);
    font-family: var(--font-p);
}

/* Links */
.card-link{
    display:flex;
    align-items:center;
    gap:18px;
    text-decoration:none;
    color:inherit;
    font-family: var(--font-p);
    border-radius: 10px;
}

.card-link:hover{
    background:var(--bg-card-hover);
}

.icono{
    width:50px;
    height:50px;
    border-radius:50%;
    background:var(--primary);
    display:flex;
    justify-content:center;
    color:#fff;
    font-size:1.4rem;
    flex-shrink:0;
}

.card-link h3{
    color:var(--primary);
    margin-bottom:5px;
}

.card-link p{
    color:#666;
    line-height:1.5;
}

/* Mapa */
.mapa{
    border-radius:var(--radius);
    box-shadow:var(--shadow);
    align-items: center;
    justify-content: center;
    display: flex;
}

.mapa img{
    width: 70%;
    display:block;
    object-fit:cover;
    transition:.4s;
}

/* =========================
   INDUSTRIAS
========================= */
.industry-section{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin: 20px auto;
}

/* HEADER */
.industry-header{
    text-align: center;
    margin-bottom: 20px;
}

.industry-header h2{
    font-size: 40px;
    text-transform: uppercase;
    margin-bottom: 15px;
    font-family: var(--font-h2);
}

.industry-header p{
    max-width: 900px;
    margin: auto;
    font-family: var(--font-p);
    font-size: 18px;
    line-height: 1.8;
}

/* GRID */
.industry-grid{
    display: grid;
    gap: 10px;
    grid-template-columns: repeat(4,1fr);
}

/* CARD */
.industry-card{
    position: relative;
    height: 550px;
    border-radius: 20px;
    overflow: hidden;
    cursor: pointer;
    transition: .4s ease;
    background: #0f172a;
}

/* IMAGEN */
.industry-card img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: .6s ease;
}

/* HOVER */
.industry-card:hover img{
    transform: scale(1.08);
}

.industry-card:hover{
    transform: translateY(-8px);
}

/* OSCURECER */
.industry-card::before{
    content: "";
    position: absolute;
    inset: 0;

    background:
    linear-gradient(
        to top,
        rgba(0,0,0,.88) 5%,
        rgba(0,0,0,.45) 40%,
        rgba(0,0,0,.12) 70%,
        rgba(0,0,0,0) 100%
    );
    z-index: 1;
}

/* OVERLAY */
.industry-overlay{
    position: absolute;
    left: 0;
    bottom: 0;
    padding: 15px;
    z-index: 2;
    background: rgba(0,0,0,.15);
    backdrop-filter: blur(8px);
    border-top:
    1px solid rgba(255,255,255,.12);
}

/* TITULO */
.industry-overlay h3{
    color: var(--text-cards);
    font-size: 24px;
    text-transform: uppercase;
    margin-bottom: 12px;
    font-weight: 700;
    margin-top: 0px;
}

/* TEXTO */
.industry-overlay p{
    color: rgba(255,255,255,.85);
    font-size: 16px;
    line-height: 1.7;
}

/* ===========================
   CATEGORIAS
=========================== */
.categorias{
    width:min(1700px,97%);
    margin:20px;
    display:grid;
    grid-template-columns:repeat(5,1fr);
    gap:20px;
}

/* Tarjeta */
.flip-card{
    width:100%;
    height:460px;
    perspective:1000px;
}

/* Contenedor que gira */
.flip-card-inner{
    width:100%;
    height:100%;
    position:relative;
    transition:transform .8s;
    transform-style:preserve-3d;
}

/* Giro */
.flip-card:hover .flip-card-inner{
    transform:rotateY(180deg);
}

/* Ambas caras */
.flip-card-front,
.flip-card-back{
    position:absolute;
    width:100%;
    height:100%;
    border-radius:20px;
    overflow:hidden;
    backface-visibility:hidden;
    -webkit-backface-visibility:hidden;
    box-shadow:0 15px 35px rgba(0,0,0,.15);
}

/* Frente */
.flip-card-front{
    background-size:cover;
    background-position:center;
    display:flex;
    align-items:flex-end;
}

.flip-card-front::before{
    content:"";
    position:absolute;
    inset:0;
    background:rgba(0,0,0,.35);
}

.titulo{
    position:relative;
    width:100%;
    padding:25px;
}

.titulo h2{
    color:var(--bg-body);
    font-size:2rem;
}

/* Reverso */
.flip-card-back{
    background:var(--bg-body);
    transform:rotateY(180deg);
    padding:20px;
    display:flex;
    flex-direction:column;
}

.flip-card-back h3{
    color:var(--primary);
    margin-bottom:20px;
}

.flip-card-back ul{
    flex:1;
    padding-left:20px;
}

.two-columns ul{
    flex:1;
    padding-left:18px;
    columns:2;
    column-gap:25px;
}
.two-columns li{
    margin-bottom:5px;
    break-inside:avoid;
    -webkit-column-break-inside:avoid;
    font-size: 14px;
}

.flip-card-back li{
    margin-bottom:5px;
}

.flip-card-back a{
    margin-top:auto;
    text-align:center;
    padding:14px;
    background:var(--primary);
    color:#fff;
    border-radius:8px;
    text-decoration:none;
}

.brands-section{
    width: 100%;
    overflow: hidden;
    background: var(--bg-body);
}

/* =========================
   MARCAS
========================= */
.brands-header{
    text-align: center;
    margin-bottom: 50px;
}
.contact-info h2,
.brands-header h2{
    font-size: 48px;
    color: var(--text-page);
    margin-bottom: 15px;
}

.brands-header p{
    max-width: 850px;
    margin: auto;
    color: var(--text-index);
    font-size: 18px;
    line-height: 1.7;
}

/* SLIDER */
.brands-slider{
    position: relative;
    width: 100%;
    overflow: hidden;
}

/* DIFUMINADO LATERAL */

.brands-slider::before,
.brands-slider::after{
    content: "";
    position: absolute;
    top: 0;
    width: 180px;
    height: 100%;
    z-index: 2;
}

.brands-slider::before{
    left: 0;
    background: var(--color-brands-slides-before);
}

.brands-slider::after{
    right: 0;
    background: var(--color-brands-slides-after);
}

/* TRACK */

.brands-track{
    display: flex;
    align-items: center;
    gap: 70px;
    width: max-content;
    animation: scrollBrands 40s linear infinite;
}

/* LOGOS */

.brands-track img{
    width: 130px;
    height: 80px;
    object-fit: contain;
    transition: .4s ease;
    flex-shrink: 0;
}

.brands-track img:hover{
    filter:
    grayscale(0%)
    opacity(1);
    transform: scale(1.08);
}

/* ANIMACIÓN */
@keyframes scrollBrands{
    from{
        transform: translateX(0);
    }

    to{
        transform: translateX(-50%);
    }
}

/* =========================
   AVISO DE PRIVACIDAD
========================= */
.privacy-section{
    width:100%;
    padding:0px 40px;
    background:#f5f7fb;
}

/* HEADER */
.privacy-header{
    text-align:center;
    max-width:850px;
    margin:auto;
}

.privacy-header h1{
    font-size:55px;
    color:#1c2c54;
    margin-bottom:20px;
    font-family: var(--font-h1);
    text-transform: uppercase;
}

.privacy-header p{
    font-size:18px;
    line-height:1.8;
    color:#666;
}

/* CONTENEDOR */
.privacy-container{
    display:flex;
    flex-direction:column;
    gap:30px;
}

/* TARJETAS */
.privacy-card{
    background: var(--text-cards);
    padding:40px;
    border-radius:28px;
    box-shadow:0 10px 30px rgba(0,0,0,0.07);
    border-left:8px solid #06b9dc;
    transition:0.4s;
    margin-bottom: 30px;
}

.privacy-card:hover{
    transform:translateY(-6px);
}

/* TITULOS */
.privacy-card h2{
    font-family: var(--font-h2);
    font-size:30px;
    color:#1c2c54;
    margin-bottom:20px;
}

/* TEXTOS */
.privacy-card p{
    color:#555;
    line-height:1.9;
    margin-bottom:18px;
    font-size:17px;
    font-family: var();
}

/* LISTAS */
.privacy-card ul{
    padding-left:20px;
}

.privacy-card ul li{
    margin-bottom:12px;
    color:#555;
    line-height:1.7;
}

.privacy-card ol{
    padding-left:25px;
    list-style-type:upper-roman;
}

.privacy-card ol li{
    margin-bottom:12px;
    color:#555;
    line-height:1.7;
}

/* ENLACES */
.privacy-card a{
    color:#06b9dc;
    text-decoration:none;
    font-weight:600;
    transition:0.3s;
}

.privacy-card a:hover{
    color:#fca405;
}

/* DESTACADO */
.highlight{
    background:#f5f7fb;
    padding:20px;
    border-radius:18px;
    border-left:5px solid #fca405;
}
/* HEADER */
header{
    position:sticky;
    top:0;
    left:0;
    width: 100%;
    background:var(--bg-body);
    padding:15px 40px;
    display:flex;
    align-items:center;
    justify-content:space-between;
    position:relative;
    z-index:1000;
}

/* MENÚ */
.nav-menu{
    display:flex;
    gap:35px;
}

.nav-menu a{
    text-decoration:none;
    color: var(--bg-footer);
    font-size:20px;
    font-weight:600;
    position:relative;
    transition:0.3s;
}

.nav-menu a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-6px;
    width:0%;
    height:3px;
    background:#06b9dc;
    transition:0.3s;
    border-radius:10px;
}

.nav-menu a:hover{
    color:#fca405;
}

.nav-menu a:hover::after{
    width:100%;
}

/* LOGO */
.logo img{
    height:60px;
    object-fit:contain;
}

/* BOTÓN HAMBURGUESA */
.menu-toggle{
    display:none;
    flex-direction:column;
    cursor:pointer;
    gap:5px;
}

.menu-toggle span{
    width:28px;
    height:3px;
    background:var(--bg-footer);
    border-radius:5px;
    transition:0.3s;
}

/* FOOTER */
.footer{
    background: var(--bg-footer);
    color: var(--text-cards);
    padding:30px 40px 10px;
}

.footer-container{
    display:grid;
    grid-template-columns:repeat(auto-fit, minmax(220px, 1fr));
    gap:40px;
    justify-items: center;
}

/* COLUMNAS */
.footer-box h3{
    margin-bottom:20px;
    color:#fca405;
    font-size:20px;
    text-transform: uppercase;
}

.footer-box p{
    line-height:1.8;
    color:#d9d9d9;
    font-size:15px;
}

.footer-box ul{
    list-style:none;
}

.footer-box ul li{
    margin-bottom:12px;
}

.footer-box ul li a{
    text-decoration:none;
    color:#d9d9d9;
    transition:0.3s;
}

.footer-box ul li a:hover{
    color:#06b9dc;
    padding-left:5px;
}

/* LOGO */
.footer-logo{
    width:180px;
    margin-bottom:20px;
}

/* REDES SOCIALES */
.socials{
    display:flex;
    align-items:center;
    gap:18px;
    margin-top:15px;
}

.socials a{
    width:50px;
    height:50px;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    transition:0.3s;
    overflow:hidden;
}

.socials a:hover{
    transform:translateY(-5px) scale(1.08);
    background:#06b9dc;
}

.socials img{
    width:40px;
    height:40px;
    object-fit:contain;
}

/* CONTACTO */
.contact-item{
    display:flex;
    align-items:flex-start;
    gap:12px;
    margin-bottom:18px;
    text-decoration:none;
    color:#d9d9d9;
    transition:0.3s;
}

.contact-item:hover{
    color:#06b9dc;
    transform:translateX(5px);
}

.contact-item img{
    width:24px;
    height:24px;
    object-fit:contain;
    margin-top:2px;
}

.contact-item span{
    line-height:1.6;
    font-size:15px;
}

/* PARTE INFERIOR */
.footer-bottom{
    border-top:1px solid rgba(255,255,255,0.2);
    padding-bottom:20px;
    display:flex;
    align-items:center;
    justify-content: end;
    flex-wrap:wrap;
    gap:15px;
}

.footer-bottom p{
    color:#cfcfcf;
    font-size:14px;
}

.footer-bottom a{
    text-decoration:none;
    color:#06b9dc;
    font-size:14px;
    transition:0.3s;
}

.footer-bottom a:hover{
    color:#fca405;
}

/* Responsive */
@media(max-width:700px){
    .hero img{
        height: 300px;
    }

    .card{
        height: 350px;
    }

    .industry-grid,
    .categorias{
        display: flex;
        flex-direction: column;
        align-items: center;
        grid-template-columns: 1fr;
    }

    .industry-card{
        width: 95%;
        height: 700px;
    }

    .industry-overlay{
        padding: 25px;
    }

    .industry-overlay h3{

        font-size: 28px;
    }

    .industry-overlay p{

        font-size: 15px;
    }

    .industry-header h2{

        font-size: 38px;
    }

    .industry-header p{

        font-size: 16px;
    }

    .flip-card{
        display: flex;
        justify-content: center;
    }

    .flip-card-inner{
        width: 70%;
    }

    .flip-card-back{
        padding: 35px;
    }
}

@media(max-width:900px){
    .informacion{
        grid-template-columns:1fr;
    }

    .mapa{
        min-height:350px;
        order:-1;
    }

    .empresa{
        width: min(1700px, 99%);
        margin: 3px;
        display: flow;
    }
}

@media (max-width: 999px) and (min-width: 701px) {
    .industry-grid{
        grid-template-columns: repeat(2,1fr);
        justify-items: center;
    }

    .industry-card{
        width: 90%;
        height: 600px;
    }

    .categorias{
        grid-template-columns: repeat(2,1fr);
        width: min(1700px, 94%);
    }

    .industry-section{
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 96%;
        margin: 20px auto;
    }

    .card{
        height: 350px;
    }

    .informacion{
        grid-template-columns:1fr;
    }

    .mapa{
        min-height:350px;
        order:-1;
    }
}

@media(max-width:1200px) and (min-width: 1000px){
    .color-grid{
        grid-template-columns: repeat(2,1fr);
    }
    
    .industry-grid{
        grid-template-columns: repeat(2,1fr);
    }

    .categorias{
        grid-template-columns: repeat(3,1fr);
    }
    
    .industry-card{
        width: 95%;
        height: 600px;
    }
    
    .mapa img {
        width: 90%;
    }
}